Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper

Deprecated See BEA Commerce product offering

    @Deprecated
    public final class PersistenceHelper

extends Object

Persistence Helper provides an optional, cross-platform optimization for dependent objects in the persistence cache. BY DEFAULT THIS FEATURE IS TURNED OFF * This is not required for CMP or BMP.

Nested Class Summary
`static class` | `PersistenceHelper.DefaultSmartCollectionReference` Deprecated See BEA Commerce product offering
`static class` | `PersistenceHelper.DefaultSmartEntityReference` Deprecated See BEA Commerce product offering
`static class` | `PersistenceHelper.DefaultSmartMapReference` Deprecated See BEA Commerce product offering

Constructor Summary
`PersistenceHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static SmartEntityReference` | `createDefaultSmartEntityReference()` Deprecated See BEA Commerce product offering
`static SmartEntityReference` | `createDefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering
`static SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, BelongingImpl belonging)` Deprecated See BEA Commerce product offering
`static SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, SessionImpl sessionImpl)` Deprecated See BEA Commerce product offering
`static SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, BelongingImpl belonging)` Deprecated See BEA Commerce product offering
`static SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, SessionImpl sessionImpl)` Deprecated See BEA Commerce product offering
`static SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, BelongingImpl belonging)` Deprecated See BEA Commerce product offering
`static SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, SessionImpl sessionImpl)` Deprecated See BEA Commerce product offering
`static Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`static Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static javax.ejb.EJBObject` | `doRelationalBinding(String attributeIdentifier, javax.ejb.EJBObject ejbObject, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`static javax.ejb.EJBObject` | `doRelationalBinding(String attributeIdentifier, javax.ejb.EJBObject ejbObject, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Object` | `doRelationalBinding(String attributeIdentifier, Object value, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`static Object` | `doRelationalBinding(String attributeIdentifier, Object value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`static Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`static javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object mapKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`static Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Belonging` | `synchronizeWithCache(Belonging value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Object` | `synchronizeWithCache(Object value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Belonging` | `synchronizeWithCache(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Collection` | `synchronizeWithCache(String attributeIdentifier, Collection collection, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Map` | `synchronizeWithCache(String attributeIdentifier, Map map, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`static Object` | `synchronizeWithCache(String attributeIdentifier, Object value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper

    public PersistenceHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### synchronizeWithCache

    public static final Belonging synchronizeWithCache(String attributeIdentifier,
                                                       Belonging value,
                                                       EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Synchronize the dependent object with the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Object synchronizeWithCache(String attributeIdentifier,
                                                    Object value,
                                                    EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Synchronize the dependent object with the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public static final Collection synchronizeWithCache(String attributeIdentifier,
                                                        Collection collection,
                                                        EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Synchronize the dependent object with the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Map synchronizeWithCache(String attributeIdentifier,
                                                 Map map,
                                                 EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Synchronize the dependent object with the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Belonging synchronizeWithCache(Belonging value,
                                                       EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Synchronize the dependent object with the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Object synchronizeWithCache(Object value,
                                                    EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Synchronize the dependent object with the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static Belonging doRelationalBinding(String attributeIdentifier,
                                                Belonging value,
                                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static Object doRelationalBinding(String attributeIdentifier,
                                             Object value,
                                             EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static javax.ejb.EJBObject doRelationalBinding(String attributeIdentifier,
                                                          javax.ejb.EJBObject ejbObject,
                                                          EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                                          Belonging value,
                                                          Object mapKey,
                                                          EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                       Object value,
                                                       Object mapKey,
                                                       EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static javax.ejb.EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                                    javax.ejb.EJBObject ejbObject,
                                                                    Object mapKey,
                                                                    EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static Belonging doRelationalBinding(String attributeIdentifier,
                                                Belonging value,
                                                javax.ejb.EJBObject parent,
                                                BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static Object doRelationalBinding(String attributeIdentifier,
                                             Object value,
                                             javax.ejb.EJBObject parent,
                                             BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static javax.ejb.EJBObject doRelationalBinding(String attributeIdentifier,
                                                          javax.ejb.EJBObject ejbObject,
                                                          javax.ejb.EJBObject parent,
                                                          BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                                          Belonging value,
                                                          Object mapKey,
                                                          javax.ejb.EJBObject parent,
                                                          BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                       Object value,
                                                       Object mapKey,
                                                       javax.ejb.EJBObject parent,
                                                       BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static javax.ejb.EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                                    javax.ejb.EJBObject ejbObject,
                                                                    Object mapKey,
                                                                    javax.ejb.EJBObject parent,
                                                                    BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean
  Returns
    an instance of the input value, standardized for mapping to a relational database.

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Allocate an instance of a smart map

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  SessionImpl sessionImpl)

  Deprecated See BEA Commerce product offering

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            SessionImpl sessionImpl)

  Deprecated See BEA Commerce product offering

  Allocate an instance of a smart map

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          SessionImpl sessionImpl)

  Deprecated See BEA Commerce product offering

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  BelongingImpl belonging)

  Deprecated See BEA Commerce product offering

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            BelongingImpl belonging)

  Deprecated See BEA Commerce product offering

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          BelongingImpl belonging)

  Deprecated See BEA Commerce product offering

### createDefaultSmartEntityReference

    public static SmartEntityReference createDefaultSmartEntityReference()

  Deprecated See BEA Commerce product offering

### createDefaultSmartEntityReference

    public static SmartEntityReference createDefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved